Index: src/UIElements/Makefile.am
===================================================================
--- src/UIElements/Makefile.am	(revision f0f9a60bdc0af971268af45d96cd8b8a9875cb05)
+++ src/UIElements/Makefile.am	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
@@ -33,5 +33,5 @@
   Menu/TextMenu/SubMenuItem.cpp \
   Menu/TextMenu/ActionMenuItem.cpp \
-  Menu/TextMenu/SeperatorItem.cpp \
+  Menu/TextMenu/SeparatorMenuItem.cpp \
   Menu/TextMenu/DisplayMenuItem.cpp
   
@@ -42,5 +42,5 @@
   Menu/TextMenu/SubMenuItem.hpp \
   Menu/TextMenu/ActionMenuItem.hpp \
-  Menu/TextMenu/SeperatorItem.hpp \
+  Menu/TextMenu/SeparatorMenuItem.hpp \
   Menu/TextMenu/DisplayMenuItem.hpp
 
Index: src/UIElements/Menu/TextMenu/SeparatorMenuItem.cpp
===================================================================
--- src/UIElements/Menu/TextMenu/SeparatorMenuItem.cpp	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
+++ src/UIElements/Menu/TextMenu/SeparatorMenuItem.cpp	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
@@ -0,0 +1,67 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * SeparatorMenuItem.cpp
+ *
+ *  Created on: Dec 11, 2009
+ *      Author: crueger
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "Helpers/MemDebug.hpp"
+
+#include <string>
+#include <sstream>
+
+#include "Menu/TextMenu/SeparatorMenuItem.hpp"
+#include "defs.hpp"
+
+
+SeparatorMenuItem::SeparatorMenuItem(TxMenu* const menu):
+  MenuItem('\0',"",menu),
+  spacer(STD_SEPERATOR_SPACER),
+  length(STD_MENU_LENGTH)
+{
+  // TODO Auto-generated constructor stub
+
+}
+
+SeparatorMenuItem::SeparatorMenuItem(TxMenu* const menu,char _spacer, int _length):
+  MenuItem('\0',"",menu),
+  spacer(_spacer),
+  length(_length)
+{
+  // TODO Auto-generated constructor stub
+
+}
+
+SeparatorMenuItem::~SeparatorMenuItem()
+{
+  // TODO Auto-generated destructor stub
+}
+
+
+void SeparatorMenuItem::doTrigger(){}
+bool SeparatorMenuItem::checkTrigger(char){
+  return false;
+}
+
+const std::string SeparatorMenuItem::getDescription() {
+  return std::string("");
+}
+
+const std::string SeparatorMenuItem::formatEntry(){
+  std::stringstream s;
+  for(int i=0; i<length;i++)
+    s << spacer;
+  return s.str();
+}
Index: src/UIElements/Menu/TextMenu/SeparatorMenuItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/SeparatorMenuItem.hpp	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
+++ src/UIElements/Menu/TextMenu/SeparatorMenuItem.hpp	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
@@ -0,0 +1,40 @@
+/*
+ * SeparatorMenuItem.h
+ *
+ *  Created on: Dec 11, 2009
+ *      Author: crueger
+ */
+
+#ifndef SEPARATORITEM_H_
+#define SEPARATORITEM_H_
+
+#include <string>
+
+#include "Menu/TextMenu/MenuItem.hpp"
+
+class TxMenu;
+
+/**
+ * Produce a Separator within a Menu.
+ *
+ * All triggers are ignored for this Item.
+ */
+class SeparatorMenuItem : public MenuItem
+{
+public:
+  SeparatorMenuItem(TxMenu* const );
+  SeparatorMenuItem(TxMenu* const ,char,int);
+  virtual ~SeparatorMenuItem();
+
+  virtual void doTrigger();
+  virtual bool checkTrigger(char);
+
+  virtual const std::string getDescription();
+
+  virtual const std::string formatEntry();
+private:
+  char spacer;
+  int length;
+};
+
+#endif /* SEPARATORITEM_H_ */
Index: c/UIElements/Menu/TextMenu/SeperatorItem.cpp
===================================================================
--- src/UIElements/Menu/TextMenu/SeperatorItem.cpp	(revision f0f9a60bdc0af971268af45d96cd8b8a9875cb05)
+++ 	(revision )
@@ -1,67 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * SeperatorItem.cpp
- *
- *  Created on: Dec 11, 2009
- *      Author: crueger
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "Helpers/MemDebug.hpp"
-
-#include <string>
-#include <sstream>
-
-#include "Menu/TextMenu/SeperatorItem.hpp"
-#include "defs.hpp"
-
-
-SeperatorItem::SeperatorItem(TxMenu* const menu):
-  MenuItem('\0',"",menu),
-  spacer(STD_SEPERATOR_SPACER),
-  length(STD_MENU_LENGTH)
-{
-  // TODO Auto-generated constructor stub
-
-}
-
-SeperatorItem::SeperatorItem(TxMenu* const menu,char _spacer, int _length):
-  MenuItem('\0',"",menu),
-  spacer(_spacer),
-  length(_length)
-{
-  // TODO Auto-generated constructor stub
-
-}
-
-SeperatorItem::~SeperatorItem()
-{
-  // TODO Auto-generated destructor stub
-}
-
-
-void SeperatorItem::doTrigger(){}
-bool SeperatorItem::checkTrigger(char){
-  return false;
-}
-
-const std::string SeperatorItem::getDescription() {
-  return std::string("");
-}
-
-const std::string SeperatorItem::formatEntry(){
-  std::stringstream s;
-  for(int i=0; i<length;i++)
-    s << spacer;
-  return s.str();
-}
Index: c/UIElements/Menu/TextMenu/SeperatorItem.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/SeperatorItem.hpp	(revision f0f9a60bdc0af971268af45d96cd8b8a9875cb05)
+++ 	(revision )
@@ -1,40 +1,0 @@
-/*
- * SeperatorItem.h
- *
- *  Created on: Dec 11, 2009
- *      Author: crueger
- */
-
-#ifndef SEPERATORITEM_H_
-#define SEPERATORITEM_H_
-
-#include <string>
-
-#include "Menu/TextMenu/MenuItem.hpp"
-
-class TxMenu;
-
-/**
- * Produce a Seperator within a Menu.
- *
- * All triggers are ignored for this Item.
- */
-class SeperatorItem : public MenuItem
-{
-public:
-  SeperatorItem(TxMenu* const );
-  SeperatorItem(TxMenu* const ,char,int);
-  virtual ~SeperatorItem();
-
-  virtual void doTrigger();
-  virtual bool checkTrigger(char);
-
-  virtual const std::string getDescription();
-
-  virtual const std::string formatEntry();
-private:
-  char spacer;
-  int length;
-};
-
-#endif /* SEPERATORITEM_H_ */
Index: src/UIElements/Menu/TextMenu/TextMenu.hpp
===================================================================
--- src/UIElements/Menu/TextMenu/TextMenu.hpp	(revision f0f9a60bdc0af971268af45d96cd8b8a9875cb05)
+++ src/UIElements/Menu/TextMenu/TextMenu.hpp	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
@@ -21,5 +21,5 @@
 #include "Menu/TextMenu/TxMenuLeaveAction.hpp"
 #include "Menu/TextMenu/ActionMenuItem.hpp"
-#include "Menu/TextMenu/SeperatorItem.hpp"
+#include "Menu/TextMenu/SeparatorMenuItem.hpp"
 #include "Menu/TextMenu/SubMenuItem.hpp"
 
@@ -114,5 +114,5 @@
   virtual void addSeparatorItem()
   {
-    new SeperatorItem(MenuInstance);
+    new SeparatorMenuItem(MenuInstance);
   }
 
Index: src/UIElements/TextUI/TextWindow.cpp
===================================================================
--- src/UIElements/TextUI/TextWindow.cpp	(revision f0f9a60bdc0af971268af45d96cd8b8a9875cb05)
+++ src/UIElements/TextUI/TextWindow.cpp	(revision e9be39efd3548091ce2ee01c2e279982afc4c11d)
@@ -26,5 +26,5 @@
 #include "Menu/TextMenu/TxMenu.hpp"
 #include "Menu/TextMenu/ActionMenuItem.hpp"
-#include "Menu/TextMenu/SeperatorItem.hpp"
+#include "Menu/TextMenu/SeparatorMenuItem.hpp"
 #include "Menu/TextMenu/DisplayMenuItem.hpp"
 #include "Menu/TextMenu/SubMenuItem.hpp"
@@ -65,9 +65,9 @@
   new DisplayMenuItem(main_menu->getMenuInstance(),moleculeView,"Molecule List");
 
-  new SeperatorItem(main_menu->getMenuInstance());
+  new SeparatorMenuItem(main_menu->getMenuInstance());
 
   main_menu->init();
 
-  new SeperatorItem(main_menu->getMenuInstance());
+  new SeparatorMenuItem(main_menu->getMenuInstance());
 
   // save has reserved key 's'
